API ReferenceAuth Configs

Create new authentication configurationv3.1

POST
/api/v3.1/auth_configs

Creates a new auth config for a toolkit, allowing you to use your own OAuth credentials or API keys instead of Composio-managed authentication. This is required when you want to use custom OAuth apps (bring your own client ID/secret) or configure specific authentication parameters for a toolkit.

Authorization

x-api-key<token>

Project API key authentication

In: header

Request Body

application/json

toolkitobjectRequired
auth_configComposioManagedAuthConfigCreate | CustomAuthConfigCreate
Default: {"type":"use_composio_managed_auth","credentials":{},"restrict_to_following_tools":[]}

Response Body

application/json

application/json

application/json

application/json

application/json

import requestsurl = "https://example.com/api/v3.1/auth_configs"body = """{  "toolkit": {    "slug": "string"  }}"""response = requests.request("POST", url, data = body, headers = {  "Content-Type": "application/json"})print(response.text)
{  "toolkit": {    "slug": "string"  },  "auth_config": {    "id": "string",    "auth_scheme": "string",    "is_composio_managed": true,    "restrict_to_following_tools": []  }}